<?php
/*
This Captive Portal is designed by Jorge Hortelano Otero.
jorgehortelano@gmail.com
Copyright (C) 2006 Jorge Hortelano Otero.
C/Botanico 12, 1. Valencia CP:46008 (Spain).

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

function guarda_sesion($nick, $pwd, $nombre, $apellidos, $pais, $email, $cityticket, $idioma, $otros_gustos, $vel_internet, $vel_subida, $idiomapagina, $fecha_stop, $admin){
	$_SESSION['s_nick']=$nick;
	$_SESSION['s_pwd']=$pwd;
	$_SESSION['s_nombre']=$nombre;
	$_SESSION['s_apellidos']=$apellidos;
	$_SESSION['s_pais']=$pais;
	$_SESSION['s_email']=$email;
	$_SESSION['s_cityticket']=$cityticket;
	$_SESSION['s_idioma']=$idioma;
	$_SESSION['s_otros_gustos']=$otros_gustos;
	$_SESSION['s_velinternet']=$vel_internet;
	$_SESSION['s_velsubida']=$vel_subida;
	$_SESSION['s_idiomapagina']=$idiomapagina;
	$_SESSION['s_fecha_stop']=$fecha_stop;
	$_SESSION['s_admin']=$admin;

}



function lee_sesion($nick, $pwd, $nombre, $apellidos, $pais, $email, $cityticket, $idioma, $otros_gustos, $vel_internet, $vel_subida, $idiomapagina, $fecha_stop, $admin){
	$nick=$_SESSION['s_nick'];
	$pwd=$_SESSION['s_pwd'];
	$nombre=$_SESSION['s_nombre'];
	$apellidos=$_SESSION['s_apellidos'];
	$pais=$_SESSION['s_pais'];
	$email=$_SESSION['s_email'];
	$cityticket=$_SESSION['s_cityticket'];
	$idioma=$_SESSION['s_idioma'];
	$otros_gustos=$_SESSION['s_otros_gustos'];
	$vel_internet=$_SESSION['s_velinternet'];
	$vel_subida=$_SESSION['s_velsubida'];
	$idiomapagina=$_SESSION['s_idiomapagina'];
	$fecha_stop=$_SESSION['s_fecha_stop'];
	$admin=$_SESSION['s_admin'];
	
}



function lee_formulario_usuario($nick, $nc_pwd, $nombre, $apellidos, $pais, $email, $idioma, $otros_gustos){
	$nick=$_REQUEST["nick"];
	$nc_pwd=$_REQUEST["pwd"];
	$nombre=$_REQUEST["nombre"];
	$apellidos=$_REQUEST["apellidos"];
	$email=$_REQUEST["email"];
	$pais=$_REQUEST["pais"];
	$idioma=$_REQUEST["idioma"];
	$otros_gustos=$_REQUEST["otros_gustos"];
}



function guarda_dispositivos_sesion($dispositivo, $color, $resolucion){
	$_SESSION['s_color']=$color;
	$_SESSION['s_resolucion']=$resolucion;
	$_SESSION['s_dispositivo']=$dispositivo;
}



function lee_dispositivos_sesion($dispositivo, $color, $resolucion){
	$color=$_SESSION['s_color'];
	$resolucion=$_SESSION['s_resolucion'];
	$dispositivo=$_SESSION['s_dispositivo'];
}



function lee_formulario_dispositivo($dispositivo, $color, $resolucion){
	$color=$_REQUEST["color"];
	$resolucion=$_REQUEST["resolucion"];
	$dispositivo=$_REQUEST["dispositivo"];
}




function diferencia_matrices($matriz_1, $matriz_2){
	//Busca los elementos de la matriz_1 que no est�n en la matriz_2 y los devuelve.

	$i=0;
	
	if(is_array($matriz_1) && is_array($matriz_2)){
				
		foreach ($matriz_1 as $clave1 => $valor1){
			$existe=0;
			foreach ($matriz_2 as $clave2 => $valor2){
				if($valor1 == $valor2){
					$existe=1;
				}
			}
			if (!$existe){
				$resultado[$i]=$valor1;
				$i++;
			}
		}
		return $resultado;
	}else{
		return false;
	}
}



function pasa_matriz_a_string($matriz){
	$i=0;
	
	//Genero un string que contenga todos los campos de la matriz separados por comas.
	if (count($matriz)>0){
	foreach ($matriz as $clave => $valor){
		if($i>0){
			$string=$string.",".$valor;
		}else{
			$string=$valor;
			$i++;
		}
	}
	
	//Eliminamos el especio que sobra al principio		
	$string=ltrim($string);
	return $string;
	}else{
		return "";
	}
}



function pasa_string_a_matriz($string){
	$i=0;
	$token=strtok($string,',');
	while($token!=''){
		$matriz[$i]=$token;
		$token=strtok(',');
		$i++;
	}
	if ($i==0){
		$matriz[0]='';
	}
	return $matriz;
}



function busca_elemento_matriz($matriz, $elemento){
	foreach ($matriz as $clave => $valor){
				if($elemento == $valor){
					return 1;
				}
			}
	return 0;
}



function copia_matriz_nick($matriz, $nick){
	
	$indice=0;
	
	for ($i=0;$i<sizeof($matriz);$i++){
		if ($matriz[$i]["usuario"]==$nick){
			if (($indice%2 == 0 && $matriz[$i]["estado"]=="conectado:")|| ($indice%2 == 1 && $matriz[$i]["estado"]=="desconectado:")){
				$nueva_matriz[$indice]["usuario"]=$matriz[$i]["usuario"];
				$nueva_matriz[$indice]["IP"]=$matriz[$i]["IP"];
				$nueva_matriz[$indice]["dia"]=$matriz[$i]["dia"];
				$nueva_matriz[$indice]["mes"]=$matriz[$i]["mes"];
				$nueva_matriz[$indice]["anyo"]=$matriz[$i]["anyo"];
				$nueva_matriz[$indice]["hora"]=$matriz[$i]["hora"];
				$nueva_matriz[$indice]["minuto"]=$matriz[$i]["minuto"];
				$nueva_matriz[$indice]["segundo"]=$matriz[$i]["segundo"];
			$indice++;
			}
		}
	}
	
	return $nueva_matriz;
}



function lee_gustos_formulario($matriz_servicios, $filas){
	for($i=0; $i<$filas; $i++){
		//Leemos los campos del formulario en la parte de gustos.
		//Los espacios en blanco dan problemas en los campos del formulario.
		$formulario[$i]=$_REQUEST[str_replace(' ', '_', $matriz_servicios[$i])];
	}
	return $formulario;
}



function ficheroLogMatriz($fichero){
	
	$f1=fopen($fichero,"r");
	$i=0;
	while(!feof($f1)){
		$linea = fgets($f1, 100);
		if($i>0){
			$array_aux1=explode('Cliente: ',$linea);
			$array_aux2=explode(' con IP:',$array_aux1[1]);
			$matriz[$i-1]["usuario"]=$array_aux2[0];
			
			$array_aux3=explode(' ',$array_aux2[1]);
			$matriz[$i-1]["IP"]=$array_aux3[0];
			$matriz[$i-1]["estado"]=$array_aux3[1];
			$matriz[$i-1]["dia"]=$array_aux3[3];
			$matriz[$i-1]["mes"]=$array_aux3[4];
			$matriz[$i-1]["anyo"]=$array_aux3[5];
			
			$array_aux4=explode(':',$array_aux3[6]);
			$matriz[$i-1]["hora"]=$array_aux4[0];
			$matriz[$i-1]["minuto"]=$array_aux4[1];
			$matriz[$i-1]["segundo"]=$array_aux4[2];						
		}
		$i++;
	}
	
	fclose($f1);
	return $matriz;
}



function ayudamenu($arr_vals, $ancla, $titulo){
	
	echo "<ul type=\"circle\">";
	obtieneCampoXML($arr_vals, $titulo, $_SESSION['s_idiomapagina'], $texto);
    echo "<a href=\"#".$ancla."\" class=\"indice_submenu\">".$texto."</a>";
    echo "</ul>";
}



function finalayuda($arr_vals){
	obtieneCampoXML($arr_vals, "INDEX", $_SESSION['s_idiomapagina'], $texto);
	echo "<a href=\"#indice\">[".$texto."]</a> <a href=\"".PAGINA_PRINCIPAL."\">[".NOMBRE."]</a><br><br>";
}



function ayudaexplicacion($arr_vals, $titulo, $explicacion, $ancla){
	/*	
	Forma el texto de ayuda de acuerdo con un formato preestablecido.
	
	Parametros de entrada: 
	$arr_vals: el array que devuelve la funcion abreXML
	$titulo: la etiqueta XML que contiene la pregunta de la ayuda.
	$explicacion: la etiqueta XML que contiene el texto de la ayuda.
	$ancla: el nombre del "anchor" que une el link del menu con la ayuda.
	*/
	
	obtieneCampoXML($arr_vals, $titulo, $_SESSION['s_idiomapagina'], $texto);
	echo "<a name=\"".$ancla."\"></a><span class=\"titulo_secundario_busqueda\">".$texto."</span><br/>";
	obtieneCampoXML($arr_vals, $explicacion, $_SESSION['s_idiomapagina'], $texto);
	echo "<p align=\"justify\">".$texto."</p>";
	echo "-------------";
	echo "<br>";
	finalayuda($arr_vals);
	echo "</p>";
	echo"<br>";
}





?>
