<?php
/*
This Captive Portal is designed by Jorge Hortelano Otero.
jorgehortelano@gmail.com
Copyright (C) 2006 Jorge Hortelano Otero.
C/Botanico 12, 1. Valencia CP:46008 (Spain).

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

function escribe_log($string){
	$fichero_log= DIRECTORIO_LOG.'/'.LOG;
	$fl=fopen($fichero_log,"a");
	fwrite($fl,$string);
	fclose($fl);
}


function reduce_log(){
	$fichero_log= DIRECTORIO_LOG.'/'.LOG;
	$fichero_tmp= DIRECTORIO_LOG.'/'.'tmp.txt';
	$fichero_log_bak= DIRECTORIO_LOG.'/'.LOG_BAK;
	$f1=fopen($fichero_log,"r");
	$f2=fopen($fichero_tmp,"w");
	$f1_bak=fopen($fichero_log_bak,"a");
	
	while(!feof($f1)){
		$linea = fgets($f1, 100);

		if ($linea !=''){
			//Obtenemos la fecha del log.
			$array_aux1=explode(' [ ',$linea);
			$array_aux2=explode(' ]',$array_aux1[1]);
			
			$fecha_sin_formato = explode(' ',$array_aux2[0]);
			$hora_sin_formato = explode(':',$fecha_sin_formato[3]);

			$fecha=mktime($hora_sin_formato[0], $hora_sin_formato[1], $hora_sin_formato[2], $fecha_sin_formato[1], $fecha_sin_formato[0], $fecha_sin_formato[2]);
			$fecha2=mktime();
			
			$diferencia=$fecha2-$fecha;
			
			//Si han pasado menos del tiempo establecido, esa linea del log todavia la guardamos.
			if($diferencia < TIEMPO_LOG){
				fwrite($f2,$linea);
			}else{
				//Si es demasiado antiguo, lo ponemos en el otro archivo para que no moleste.
				fwrite($f1_bak,$linea);
			}
		}	
	}
	fclose($f1_bak);
	fclose($f2);
	fclose($f1);
	
	//Por ultimo sustituimos el fichero nuevo por el antiguo.
	rename(DIRECTORIO_LOG.'/'.'tmp.txt', DIRECTORIO_LOG.'/'.LOG);
	
}


function da_internet_usuario($conexion){
	//Esta funcion activa la conexion a internet del usuario segun la conexion que tenga.
	
	$ip=getenv("REMOTE_ADDR");
	exec('sudo '.IPT.' -t nat -D PREROUTING -p TCP --dport ! '.PUERTOS_ACEPTADOS.' -s '.$ip.' -j DNAT --to-destination '.IP_GATEWAY, $retval); 
	
	//Marcamos en el log que hemos entrado.
	$fecha = date('d m y H:i:s');
	$string="Cliente: ".$_SESSION['s_nick']." con IP:".$ip." conectado: [ ".$fecha." ]\n";
	escribe_log($string);
	
	//Y es un buen momento para revisar el log
	reduce_log();

	//Marcamos en la base de datos a que hora a entrado.
	$fecha=date('Y-m-d H:i:s');
	$f_sql="update usuarios set hora_conexion='".addslashes($fecha)."' where nick='".addslashes($_SESSION['s_nick'])."'";	
	$f_query=mysql_query($f_sql,$conexion) or
	die(err_msg("&#161Fallo al registrar la fecha de conexion!<br>"));
	
	//Consulta de la velocidad de conexion del sujeto
	$selectdb=mysql_select_db(BD_USUARIOS)
	or die(err_msg("No ha sido seleccionada correctamente la base de datos <br>"));
	
	$f_sql="select vel_conexion, vel_subida from usuarios where nick='".$_SESSION["s_nick"]."'";
	$f_query=mysql_query($f_sql,$conexion);
	print(mysql_error($conexion));
	$f_resultado=mysql_fetch_array($f_query) or
	die(err_msg("&#161Fallo en la obtencion de los datos de velocidad del usuario!<br>"));
	$velocidad_conexion = $f_resultado['vel_conexion'];
	$velocidad_subida = $f_resultado['vel_subida'];
	
	//Pasamos las medias a Kb
	$velocidad_conexion_Kb = $velocidad_conexion * 8;
	$velocidad_subida_Kb = $velocidad_subida * 8;
	
	//Activamos la conexion a la velocidad adecuada,
	$ip_array = explode('.',$ip);	
		
	//Programamos la velocidad de descarga del usuario.
	exec('sudo '.TC.' class replace dev '.RED_WIRELESS.' parent 11:1 classid 11:'.$ip_array[3].' htb rate 1kbit ceil '.$velocidad_conexion_Kb.'kbit prio 2');	
	exec('sudo '.TC.' qdisc replace dev '.RED_WIRELESS.' parent 11:'.$ip_array[3].' handle '.$ip_array[3].': sfq perturb 10');
	exec('sudo '.TC.' filter replace dev '.RED_WIRELESS.' protocol ip parent 11:  handle '.$ip_array[3].' fw classid 11:'.$ip_array[3]);	
	exec('sudo '.IPT.' -t mangle -D POSTROUTING -d '.$ip);
	exec('sudo '.IPT.' -t mangle -A POSTROUTING -d '.$ip.' -j MARK --set-mark '.$ip_array[3]);
	
	//Programamos la velocidad de subida.
	exec('sudo '.TC.' class replace dev '.RED_INTERNET.' parent 10:1 classid 10:'.$ip_array[3].' htb rate 1kbit ceil '.$velocidad_subida_Kb.'kbit prio 2');
	exec('sudo '.TC.' qdisc replace dev '.RED_INTERNET.' parent 10:'.$ip_array[3].' handle '.$ip_array[3].': sfq perturb 10');
	exec('sudo '.TC.' filter replace dev '.RED_INTERNET.' protocol ip parent 10:  handle '.$ip_array[3].' fw classid 10:'.$ip_array[3]);	
	exec('sudo '.IPT.' -t mangle -D PREROUTING  -s '.$ip);
	exec('sudo '.IPT.' -t mangle -A PREROUTING -s '.$ip.' -j MARK --set-mark '.$ip_array[3]);
}


function mantiene_internet_usuario($nivel){
	//Esta funcion indica al servidor que todavia esta haciendo uso de interent.
	$ip=getenv("REMOTE_ADDR");
	$fichero_cliente = DIR_CLIENTES.'/'.$ip.".txt";
	$fp = fopen($fichero_cliente,rw);
	exec( "echo $nivel > $fichero_cliente");
	fclose($fp);
}



function obtiene_estado_cliente($ip){
	$fichero_cliente = DIR_CLIENTES.'/'.$ip.".txt";
	$fp = fopen($fichero_cliente,"r");
	$valor = fgets($fp, 26);
	fclose($fp); 
	return $valor;
}


function obtiene_estado_sistema(){
	$fichero_sistema = TOCTOC_SCRIPT_PATH.'/startstop.txt';
	$fp = fopen($fichero_sistema,"r");
	$valor = fgets($fp, 5);
	fclose($fp); 
	return $valor;
}


function cierra_internet_usuario(){
	//Cerramos la conexion a internet en el acto. 
	$ip=getenv("REMOTE_ADDR");
	
	//Si el archivo de acceso ya esta a 0 (por ejemplo, por una caida del cliente), no hay que hacer nada, ya lo ha eliminado el servidor. 
	//Pero esto no lo tiene que comprobar el propio servidor (o dara algunos errores).
	if($ip!=IP_GATEWAY){
		$valor= obtiene_estado_cliente($ip);				
		
		if ($valor != 0){
			exec('sudo '.IPT.' -t nat -A PREROUTING -p TCP --dport ! '.PUERTOS_ACEPTADOS.' -s '.$ip.' -j DNAT --to-destination '.IP_GATEWAY,$retval);
			mantiene_internet_usuario(0);
		}
	}
	
	$fecha = date('d m y H:i:s');
	$string="Cliente: ".$_SESSION['s_nick']." con IP:".$ip." desconectado: [ ".$fecha." ]\n";
	escribe_log($string);
	
}
?>