<?php
/////////////////////////////////////////////////////////////////////////////////////
//
//		Pagina en donde se puede introducir el usuario y se selecciona el idioma.
//
/////////////////////////////////////////////////////////////////////////////////////

//Destruimos cualquier sesion existente
session_start();
session_destroy();

//Comenzamos una nueva
session_start();
?>
<html>
<head>
<?php
 
include("include/cabecera.inc");
include("include/colores.inc");
include("include/conexion.inc");
include("include/funcionesBD.inc");
include("include/configuracion.inc");
include("include/ventanas.inc");
include("include/XML.inc");

//Obtenemos los idiomas del formato XML
$fichero="idiomas/index.xml";
abreXML($fichero,$arr_vals, $arr_index);


if (isset($_REQUEST["URL"])){
	$URL=$_REQUEST["URL"];
}else{
	$URL=$_SERVER['HTTP_HOST'];
}




$no_existe_usuario=$_REQUEST["no_existe_usuario"];
$usuario_repetido=$_REQUEST["usuario_repetido"];
$idioma=$_REQUEST["idioma"];
if(empty($idioma)){
	$idioma="ESP";
}

$_SESSION['idioma']=$idioma;
?>
<title><?php echo TITULO ?></title>
<link href="include/<?php echo CSS ?>" rel="stylesheet" type="text/css">


</head>

<body text="<?php echo COLOR_TEXTO ?>" link="<?php echo COLOR_LINK ?>" bgcolor="<?php echo COLOR_FONDO ?>" vlink="<?php echo COLOR_VLINK ?>" alink="<?php echo COLOR_ALINK ?>" background="<?php echo IMAGEN_FONDO?>"
style="background-repeat: no-repeat; background-attachment: fixed;" onload="javascript:SoloQuieroUna();" >
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <!--DWLayoutTable-->
  <tr valign="middle">  
  <?php obtieneCampoXML($arr_vals, "WELCOME",$idioma, $texto);?>
    <td height="52" colspan="4"><div align="center"><span class="titulo_1"><?php echo $texto?></span></div></td>
    <div align="center">
    <?php 

    //Colocamos las banderas de los idiomas para que el usuario pueda seleccionar el suyo.
    $array_idiomas=obtiene_idiomas($conexion);

    for($i=0;$i<sizeof($array_idiomas);$i++){?>
		<a href="index.php?idioma=<?php echo $array_idiomas[$i]["id"]; ?>&URL=<?php echo $URL ?>"><img src="<?php echo $array_idiomas[$i]["bandera"]; ?>" height="60" alt="<?php echo $array_idiomas[$i]["idioma"]; ?>" border="0"/></a>
    <?php }	?>
  	<div>
  </tr>

  
  <tr>
    <td width="35%" height="44">&nbsp;</td>
    <td width="10%">&nbsp;</td>
    <td width="40%">&nbsp;</td>
    <td width="15%">&nbsp;</td>
  </tr>
  <tr>
    <td height="68" valign="top">
	<? if (isset($no_existe_usuario)){
		if ($no_existe_usuario==1){ ?>
		<?php obtieneCampoXML($arr_vals, "ERRORUSER", $idioma, $texto);?>
			<p align="center"><font color="<?php echo TEXTO_ERROR ?>"><strong><?php echo $texto?></strong></font></p></td>
	<? }
	}else{
		if(isset($usuario_repetido)){
			obtieneCampoXML($arr_vals, "TWOUSERS", $idioma, $texto);?>
			<p align="center"><font color="<?php echo TEXTO_ERROR ?>"><strong><?php echo $texto?></strong></font></td></p>
		<?}	

	}
	?>
  </tr>
  <tr>
   <?php obtieneCampoXML($arr_vals, "REQUEST", $idioma, $texto);?>
    <td height="250" valign="top" align="center"><p align="center"><strong><?php echo $texto?></strong></p>
    	<table>
	    	<td align="left">
	    	<?php //Si se ejecuta desde el propio servidor, no tiene por que usar la IP de la wireless.
	    	if (getenv("REMOTE_ADDR") != IP_GATEWAY && getenv("REMOTE_ADDR") != "127.0.0.1"){ ?>
				  <form action="https://<?php echo IP_GATEWAY?>/<?php echo TOCTOC_FOLDER ?>/comprueba_usuario.php?idioma=<?echo $idioma ?>&URL=<?php echo $URL ?>" method="post">
			<?php } else { ?>
				  <form action="https://127.0.0.1/<?php echo TOCTOC_FOLDER ?>/comprueba_usuario.php?idioma=<?echo $idioma ?>&URL=<?php echo $URL ?>" method="post">
			<?php } ?>
				  <?php obtieneCampoXML($arr_vals, "USER", $idioma, $texto);?>
			        <p align="right"><?php echo $texto ?>  
			          <input type="text" name="nick" size="14" maxlength="20"><br>
			          <?php obtieneCampoXML($arr_vals, "PWD", $idioma, $texto);?>
			      	  <?php echo $texto ?> 
			        	<input type="password" name="pwd" size="14" maxlength="20"><br>
						<input name="Aceptar" type="submit" value="Aceptar"></p>
			      </form>     
			 </td>
		</table>
		<table>
	    	<td align="left">
				<?php obtieneCampoXML($arr_vals, "NOTREGISTERED", $idioma, $texto);?>
				<p><div align="justify"><span class="menu"><?php echo $texto ?>
				<a href="registrarse.php?idioma=<?php echo $idioma ?>">
				<?php obtieneCampoXML($arr_vals, "HERE", $idioma, $texto); echo $texto;?></a></span></div></p>
				
				<?php obtieneCampoXML($arr_vals, "NOPWD", $idioma, $texto);?>
				<p><div align="justify"><span class="menu"><?php echo $texto?> 
				<a href="contrasena_correo.php?idioma=<?php echo $idioma ?>">
				<?php obtieneCampoXML($arr_vals, "EMAIL", $idioma, $texto); echo $texto;?></a></span></div></p>
			</td>
		</table>
	</td>
  </tr>
</table>


<?
include("include/pie.inc");
?>
</body>
</html>
