<?php
/////////////////////////////////////////////////////////////////////////////////////
//
//		Permite generar un nuevo usuario.
//
/////////////////////////////////////////////////////////////////////////////////////


session_start();
?>
<html>
<head>

<?php
include("include/cabecera.inc");
include("include/colores.inc");
include("include/conexion.inc");
include("include/configuracion.inc");
include("include/scriptnavegacion.inc");
include("include/funcionesBD.inc");
include("include/XML.inc");
include("include/comprueba_campos.inc");

//Obtenemos los idiomas del formato XML
$fichero="idiomas/registrarse.xml";
abreXML($fichero,$arr_vals, $arr_index);

//Traducimos los servicios a los distintos idiomas.
$fichero2="idiomas/servicios.xml";
abreXML($fichero2,$arr_serv, $arr_index2);

//Traducimos los botones a distintos idiomas
$fichero3="idiomas/genericos.xml";
abreXML($fichero3,$arr_genericos, $arr_index3);




$existe_usuario=$_REQUEST["existe_usuario"];
$algo_falla=$_REQUEST["algo_falla"];

?>
<title><?php echo TITULO ?></title>
<link href="include/<?php echo CSS ?>" rel="stylesheet" type="text/css">

<style type="text/css">
<!--
.Estilo_campos_obligatorios {color: <?php echo COLOR_CAMPOS_OBLIGATORIOS ?>}
-->
</style>

</head>

<body text="<?php echo COLOR_TEXTO ?>" link="<?php echo COLOR_LINK ?>" bgcolor="<?php echo COLOR_FONDO ?>" vlink="<?php echo COLOR_VLINK ?>" alink="<?php echo COLOR_ALINK ?>" background="<?php echo IMAGEN_FONDO?>"
style="background-repeat: no-repeat; background-attachment: fixed;" >
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <!--DWLayoutTable-->
  <tr>
	<td width="59" height="60">&nbsp;</td>
    <td width="99">&nbsp;</td>
    <td colspan="2" valign="top"><div align="center"><span class="titulo_1"><?php obtieneCampoXML($arr_vals, "TITLE", $_REQUEST['idioma'], $texto); echo $texto;?></span></div></td>
    <td width="133">&nbsp;</td>
  </tr>
  <tr>
    <td height="64">&nbsp;</td>
    <td colspan="2" rowspan="2" valign="top">
	  	<?php if (isset($existe_usuario)) {
				if ($existe_usuario==1){?>
					<p align="center"><strong><font color="<?php echo TEXTO_ERROR ?>"><?php obtieneCampoXML($arr_vals, "NAME_ERROR", $_REQUEST['idioma'], $texto); echo $texto;?></font></strong></p>
		<?php }} ?>
		
		<?php if (isset($algo_falla)) {
				if ($algo_falla==1){?>
					<p align="center"><strong><font color="<?php echo TEXTO_ERROR ?>"><?php obtieneCampoXML($arr_vals, "UNKNOWN_ERROR", $_REQUEST['idioma'], $texto); echo $texto;?></font></strong></p>
		<?php }} ?>
		

		<form action="crear_usuario.php?idiomapagina=<?php echo $_REQUEST['idioma'];?>" name="usuario" method="post" onSubmit="return comprueba(document.usuario)">
		<p align="center"><strong><?php obtieneCampoXML($arr_vals, "NEW_USER", $_REQUEST['idioma'], $texto); echo $texto;?></strong></p>
		<p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "USER", $_REQUEST['idioma'], $texto); echo $texto;?></span>
		  <input type="text" name="nick" maxlength="12" >
		</p>
		<p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "PWD", $_REQUEST['idioma'], $texto); echo $texto;?> </span>
		  <input type="password" name="pwd" maxlength="20">
		</p>
		<p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "RETYPE_PWD", $_REQUEST['idioma'], $texto); echo $texto;?></span>
		  <input type="password" name="pwd2" maxlength="20" >
		</p>
		<p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "NAME", $_REQUEST['idioma'], $texto); echo $texto;?></span>
		  <input type="text" name="nombre" maxlength="20" >
		</p>
		<p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "SURNAME", $_REQUEST['idioma'], $texto); echo $texto;?></span>
		  <input type="text" name="apellidos" maxlength="20" >
		</p>
		<p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "EMAIL", $_REQUEST['idioma'], $texto); echo $texto;?></span>
		  <input type="text" name="email" maxlength="30" >
		</p>
		<p align="right"><?php obtieneCampoXML($arr_vals, "COUNTRY",$_REQUEST['idioma'], $texto); echo $texto;?>
		  <input type="text" name="pais" maxlength="20" >
		</p>
		<p align="right"><?php obtieneCampoXML($arr_vals, "LANGUAGE",$_REQUEST['idioma'], $texto); echo $texto;?> 
		<select name="idioma" size="1">
 		  <option value="Espaol">-----------------------------</option>
		  <?php //Imprimimos las opciones a elegir segun existan en la BD.
				$idioma_BD=selecciona_columna_tabla("idioma", "idiomas", $conexion, BD, &$filas1); 
				
				for($i=0;$i<$filas1;$i++) {?>
		    		<option value="<?php echo $idioma_BD[$i]; ?>" <?php if ($idioma_BD[$i]=="Espaol"){?>selected<?php }?> ><?php echo $idioma_BD[$i];?></option>
				<?php } ?>
			
		  </select>
  		</p>
				
		<p align="center">
		  <input type="Submit" name="Aceptar" value="<?php obtieneCampoXML($arr_genericos, "SEND", $_REQUEST['idioma'], $texto); echo $texto;?>"> &nbsp;
		  <input name="Cancelar" type="button" value="<?php obtieneCampoXML($arr_genericos, "CANCEL", $_REQUEST['idioma'], $texto); echo $texto;?>" onClick="ira('index.php?idioma=<?php echo $_REQUEST['idioma'];?>')">
		</p>
    </form></td>

	
	<td>&nbsp;</td>
	<td>&nbsp;</td>
  </tr>
  <tr>
    <td height="539">&nbsp;</td>
    <td width="274">&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td height="20">&nbsp;</td>
    <td>&nbsp;</td>
    <td width="208">&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
</table>
<?
include("include/pie.inc");
?>
</body>
</html>
