<?php
session_start();
include("include/proteccion_internet.inc");
?>

<html>
<head>

<?php
include("include/cabecera.inc");
include("include/colores.inc");
include("include/conexion.inc");
include("include/configuracion.inc");
include("include/funcionesPHP.inc");
include("include/funcionesBD_USUARIO.inc");
include("include/ventanas.inc");
include("include/redWireless.inc");
include("include/XML.inc");

//Obtenemos los idiomas del formato XML
$fichero="idiomas/ventana_navegacion.xml";
abreXML($fichero, $arr_vals, $arr_index);

?>

<title><?php echo TITULO ?></title>
<link href="include/<?php echo CSS ?>" rel="stylesheet" type="text/css">
<meta http-equiv="refresh" content="<?php echo REFRESCO_ACCESO_WEB?>;url=https://<?php echo IP_GATEWAY?>/<?php echo TOCTOC_FOLDER ?>/ventana_navegacion.php?primera_vez=1">


</head>

<body text="<?php echo COLOR_TEXTO ?>" link="<?php echo COLOR_LINK ?>" bgcolor="<?php echo COLOR_FONDO ?>" vlink="<?php echo COLOR_VLINK ?>" alink="<?php echo COLOR_ALINK ?>">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <!--DWLayoutTable-->
  <tr>
    <td width="100%" height="100%">
    
    <?php
    if(tengo_tiempo_conexion($_SESSION["s_nick"], $conexion)){
    
    
    
    $primera_vez=$_REQUEST["primera_vez"];
    //Comprobamos que el cliente esta dado de alta, no sea que se haya caido la red y siga la ventana abierta.
    $ip=getenv('REMOTE_ADDR');
    $valor=obtiene_estado_cliente($ip);
    if(empty($primera_vez)) $primera_vez=0;
    
	if ($valor < 2 && $primera_vez==1){    
		//Si no esta dado de alta cerramos la ventana.?>
	    <script language="javascript">
	    parent.window.close();
	    </script>	
    <?php 	}  ?>
    
    <p align="justify"><?php obtieneCampoXML($arr_vals, "OPENED",$_SESSION['s_idiomapagina'], $texto); echo $texto;?></p>
    
	<CENTER>
		<?php obtieneCampoXML($arr_vals, "TIME",$_SESSION['s_idiomapagina'], $texto); echo $texto;?>
		<SCRIPT LANGUAGE="JavaScript">

		function tiempo_transcurrido() {
			
			fecha = new Date();
			ahora = fecha.getTime();	
			
			fechadiff=fecha - parent.frames[0].document.hora_inicio.toda.value;
			
			hours = Math.floor(fechadiff / (1000 * 60 * 60)); 
			fechadiff -= hours * (1000 * 60 * 60);
	
			mins = Math.floor(fechadiff / (1000 * 60)); 
			fechadiff -= mins * (1000 * 60);
	
			secs = Math.floor(fechadiff / 1000); 
			fechadiff -= secs * 1000;
	
			if(hours < 100){
				time = "0";
			}
			if(hours < 10){
				time = time + "0" + hours;
			}else{
				time = time + hours;
			}
			if(mins < 10){
				time = time + ":0" + mins;
			}else{
				time = time + ":" + mins;
			}
			
			if(secs < 10){
				time = time + ":0" + secs;
			}else{
				time = time + ":" + secs;
			}
			
			document.form.button.value = time;
			self.status = time;
			setTimeout('tiempo_transcurrido()', 1000);
		}
		
		document.write("<form name=\"form\">"
		+ "<input type=text size=\"8\" value=\"Tiempo\""
		+ " name=button maxlength=\"9\"></form>");
		
		onError = null;
		tiempo_transcurrido();

		</SCRIPT>
        
    <p align="center"><a href="javascript:VentanaConTiempo('https://<?php echo IP_GATEWAY ?>/<?php echo TOCTOC_FOLDER ?>/ventana_navegacion_adios.php','Adios',6000);"><?php obtieneCampoXML($arr_vals, "CLOSE",$_SESSION['s_idiomapagina'], $texto); echo $texto;?></p>
     
    
    <?php
    //Mantenemos la conexión a internet. 
	mantiene_internet_usuario(3);
    
    } else {?>
	     <p align="justify"><?php obtieneCampoXML($arr_vals, "NO_TIME",$_SESSION['s_idiomapagina'], $texto); echo $texto;?></p> 
	    <?php 
	    $ip=getenv('REMOTE_ADDR');
	    $valor=obtiene_estado_cliente($ip);
	    if($valor == 3) {
	    	//Si internet.php ya le ha dado internet lo quitamos.
	    	cierra_internet_usuario();
	    }else{
	    	//Sistema semaforo para impedir que internet.php le de internet a pesar de estar fuera de tiempo.
	    	 if($valor == 0) {
	    	 	mantiene_internet_usuario(-1);
	    	 }
	    }
    } ?>
    </td>
  </tr>
</table>
</body>
</html>