<?php
/////////////////////////////////////////////////////////////////////////////////////
//
//		Borra el usuario activo en la sesion. 
//
/////////////////////////////////////////////////////////////////////////////////////

session_start();
include("include/proteccion.inc");
include("include/colores.inc");
include("include/conexion.inc");
include("include/XML.inc");
include("include/funcionesBD.inc");

//Leemos los nuevos datos del formulario.
$nc_pwd=$_REQUEST["pwd"];
$usuario=$_REQUEST["usuario"];
$f_pwd=encriptar($nc_pwd, $usuario);
$nc_old_pwd=$_REQUEST["old_pwd"];
$old_pwd=encriptar($nc_old_pwd, $usuario);


//Obtenemos los idiomas del formato XML
$fichero="idiomas/cambia_contrasena.xml";
abreXML($fichero,$arr_vals, $arr_index);


?>
<html>
<head>

<?php
include("include/cabecera.inc");
include("include/configuracion.inc");
?>
<title><?php echo TITULO ?></title>
<link href="include/<?php echo CSS ?>" rel="stylesheet" type="text/css">

</head>


<body text="<?php echo COLOR_TEXTO ?>" link="<?php echo COLOR_LINK ?>" bgcolor="<?php echo COLOR_FONDO ?>" vlink="<?php echo COLOR_VLINK ?>" alink="<?php echo COLOR_ALINK ?>">

<?php
//Leemos el nick y el pwd.
lee_sesion(&$nick, &$pwd_antiguo, $nombre, $apellidos, $pais, $email, $cityticket, $idioma, $otros_gustos, $vel_internet, $vel_subida, &$idiomapagina, $fecha_stop, $admin);

//comprobamos si el pwd introducido es el correcto si no lo esta renovando. 
if($pwd_antiguo!=$old_pwd && empty($_SESSION['renovando_pwd'])){ ?>

	<div align="center">
		  <p><font color="<?php echo TEXTO_ERROR?>"><?php obtieneCampoXML($arr_vals, "WRONGH", $_SESSION['s_idiomapagina'], $texto); echo $texto;?></font></p>
		  <p><font color="<?php echo COLOR_TEXTO?>"><?php obtieneCampoXML($arr_vals, "PRESS", $_SESSION['s_idiomapagina'], $texto); echo $texto;?> <a href="javascript:window.close();"><?php obtieneCampoXML($arr_vals, "HERE", $_SESSION['s_idiomapagina'], $texto); echo $texto;?></a><?php obtieneCampoXML($arr_vals, "CLOSE", $_SESSION['s_idiomapagina'], $texto); echo $texto;?></font></p>
	</div>
	
<?php } else {
	//Con todos los datos completos, los actualizamos.
	$ok=actualiza_pwd($nick, $pwd_antiguo, $f_pwd, $conexion, $_SESSION['renovando_pwd']);
	if($ok==0){
		//Si todo ha ido bien, inutilizamos la contraseña temporal para renovar. 
		inutiliza_contrasenya($nick, $conexion);
		?>
		<div align="center">
		  <p><font color="<?php echo COLOR_TEXTO?>"><?php obtieneCampoXML($arr_vals, "SUCCESS", $_SESSION['s_idiomapagina'], $texto); echo $texto;?></font></p>
		  <p><font color="<?php echo COLOR_TEXTO?>"><?php obtieneCampoXML($arr_vals, "PRESS", $_SESSION['s_idiomapagina'], $texto); echo $texto;?> <a href="javascript:window.close();"><?php obtieneCampoXML($arr_vals, "HERE", $_SESSION['s_idiomapagina'], $texto); echo $texto;?></a><?php obtieneCampoXML($arr_vals, "CLOSE", $_SESSION['s_idiomapagina'], $texto); echo $texto;?></font></p>
		</div>
		<?php
	}else{
	?>
		<div align="center">
		  <p><font color="<?php echo TEXTO_ERROR?>"><?php obtieneCampoXML($arr_vals, "ERROR", $_SESSION['s_idiomapagina'], $texto); echo $texto;?></font></p>
		 <p><font color="<?php echo COLOR_TEXTO?>"><?php obtieneCampoXML($arr_vals, "PRESS", $_SESSION['s_idiomapagina'], $texto); echo $texto;?> <a href="javascript:window.close();"><?php obtieneCampoXML($arr_vals, "HERE", $_SESSION['s_idiomapagina'], $texto); echo $texto;?></a><?php obtieneCampoXML($arr_vals, "CLOSE", $_SESSION['s_idiomapagina'], $texto); echo $texto;?></font></p>
		</div>
		<?php
	}
}	?>
</body>
</html>