<?php
/////////////////////////////////////////////////////////////////////////////////////
//
//		Permite al usuario cambiar el dispositivo y/o las caracter�sticas del mismo. 
//
/////////////////////////////////////////////////////////////////////////////////////

session_start();
include("include/proteccion.inc");
include("include/colores.inc");
include("include/conexion.inc");
include("include/funcionesBD.inc");
include("include/XML.inc");
include("include/scriptnavegacion.inc");


//Obtenemos los idiomas del formato XML
$fichero="idiomas/formulario_dispositivo.xml";
abreXML($fichero, $arr_vals, $arr_index);

//Traducimos los botones a distintos idiomas
$fichero2="idiomas/dispositivos.xml";
abreXML($fichero2, $arr_dispositivos, $arr_index2);

//Traducimos los botones a distintos idiomas
$fichero3="idiomas/genericos.xml";
abreXML($fichero3, $arr_genericos, $arr_index3);


lee_sesion(&$nick, &$pwd, &$nombre, &$apellidos, &$pais, &$email, $cityticket, &$idioma, $otros_gustos, $vel_internet, $vel_subida, &$idiomapagina, $fecha_stop, $admin);

//Buscamos las caracteristicas de los dispositivos.
lee_dispositivos_sesion(&$dispositivo, &$id_color, &$id_resolucion);

//Cambiar el dispositivo si este ha sido seleccionado en esta pagina
if (isset($_REQUEST["tmp_dispositivo"])){
	$dispositivo=$_REQUEST["tmp_dispositivo"];
}

$array_color=selecciona_columna_tabla_filtro("profundidad", "color_dispositivo", $id_color, "id", $conexion, BD_USUARIOS, $filas);
$array_resolucion=selecciona_columna_tabla_filtro("tipo", "resolucion", $id_resolucion, "id", $conexion, BD_USUARIOS, $filas);
$color=$array_color[0];
$resolucion=$array_resolucion[0];

//Guardamos si el usuario da al boton aceptar.
$actualiza=$_REQUEST["actualiza"];
?>
<html>
<head>

<?php
include("include/cabecera.inc");
include("include/configuracion.inc");

?>
<title><?php echo TITULO ?></title>
<link href="include/<?php echo CSS ?>" rel="stylesheet" type="text/css">
</head>


<body text="<?php echo COLOR_TEXTO ?>" link="<?php echo COLOR_LINK ?>" bgcolor="<?php echo COLOR_FONDO ?>" vlink="<?php echo COLOR_VLINK ?>" alink="<?php echo COLOR_ALINK ?>">

<table width="748" border="0" cellpadding="0" cellspacing="0">
  <!--DWLayoutTable-->
  <tr>
    <td width="268" height="204" valign="top">
	<?php if(empty($actualiza)){ ?>
	  <form name="dispositivo" action="cambiar_dispositivo.php?actualiza=1" method="post">
      <fieldset><legend><?php obtieneCampoXML($arr_vals, "TAG", $idiomapagina, $texto); echo $texto;?></legend>		
	    
		<p align="right"><?php obtieneCampoXML($arr_vals, "CLASS", $idiomapagina, $texto); echo $texto;?> 				
          <select name="dispositivo" size="1" onChange="javascript:ira('cambiar_dispositivo.php?tmp_dispositivo='+document.forms[0].dispositivo[document.forms[0].dispositivo.selectedIndex].value);">
	         <option value="Portatil">----------------------------</option>
		    <?php $matriz_dispositivos=selecciona_columna_tabla("tipo", "dispositivos", $conexion, BD_USUARIOS, &$filas2);  
				for($i=0;$i<$filas2;$i++) {?>
    		        <option value="<?php echo $matriz_dispositivos[$i]; ?>" <?php if ($matriz_dispositivos[$i]==$dispositivo){?>selected<?php }?> ><?php obtieneCampoXML($arr_dispositivos, strtoupper($matriz_dispositivos[$i]), $idiomapagina, $texto); echo $texto;?></option>
		        <?php } ?>
	      </select>&nbsp;
        </p>
        <p align="right"><?php obtieneCampoXML($arr_vals, "COLOUR", $idiomapagina, $texto); echo $texto;?>
          <select name="color" size="1">
	        <option value="256">----------------------------</option>
            <?php $matriz_color=selecciona_columna_tabla_filtro("profundidad", "color_dispositivo", $dispositivo, "dispositivo", $conexion, BD_USUARIOS, &$filas3);
			 for($i=0;$i<$filas3;$i++) {?>
   		            <option value="<?php echo $matriz_color[$i]; ?>" <?php if ($matriz_color[$i]==$color && empty($_REQUEST["tmp_dispositivo"])){?>selected<?php } ?> ><?php echo $matriz_color[$i]; ?></option>
	            <?php } ?>
          </select>&nbsp;
        </p>
		      
		<p align="right"><?php obtieneCampoXML($arr_vals, "RESOLUTION", $idiomapagina, $texto); echo $texto;?>
          <select name="resolucion" size="1">
	        <option value="640 x 480">----------------------------</option>
            <?php $matriz_resolucion=selecciona_columna_tabla_filtro("tipo", "resolucion", $dispositivo, "dispositivo", $conexion, BD_USUARIOS, &$filas4);
			 for($i=0;$i<$filas4;$i++) {?>
   		            <option value="<?php echo $matriz_resolucion[$i]; ?>" <?php if ($matriz_resolucion[$i]==$resolucion && empty($_REQUEST["tmp_dispositivo"])){?>selected<?php }?> ><?php echo $matriz_resolucion[$i]; ?></option>
	            <?php } ?>
          </select>&nbsp;
        </p>
        <br>
		</fieldset>
		<div align="right">
		
		  <input name="Enviar" type="submit" value="Aceptar">
        </div>
	  </form></td>
	  <?php
	  }else{
  	  	//Guardamos los datos.
	  	lee_formulario_dispositivo(&$dispositivo, &$color, &$resolucion);
		$id_color=obtiene_id("profundidad", $color, "dispositivo", $dispositivo, "color_dispositivo", $conexion);
		$id_resolucion=obtiene_id("tipo", $resolucion, "dispositivo", $dispositivo, "resolucion", $conexion);
		
	  	$ok=actualiza_usuario_dispositivo($nick, $pwd, $dispositivo, $id_color, $id_resolucion, $conexion);
		if($ok==0){?>
			<div align="center">
	  		<p>&nbsp;</p>
			  <p><font color="<?php echo COLOR_TEXTO?>"><?php obtieneCampoXML($arr_vals, "DEVICE_SUCCESS", $idiomapagina, $texto); echo $texto;?> <a href="javascript:window.close()"><?php obtieneCampoXML($arr_vals, "HERE", $idiomapagina, $texto); echo $texto;?> </a> <?php obtieneCampoXML($arr_vals, "CLOSE", $idiomapagina, $texto); echo $texto;?></font></p>
			</div>
		<?php }else{ ?>
			<div align="center">
			  <p><font color="<?php echo TEXTO_ERROR?>"><?php obtieneCampoXML($arr_vals, "DEVICE_ERROR", $idiomapagina, $texto); echo $texto;?> </font></p>
			  <p><font color="<?php echo TEXTO_ERROR?>"><?php obtieneCampoXML($arr_vals, "PRESS", $idiomapagina, $texto); echo $texto;?><a href="javascript:window.close()"><?php obtieneCampoXML($arr_vals, "HERE", $idiomapagina, $texto); echo $texto;?></a> <?php obtieneCampoXML($arr_vals, "CLOSE", $idiomapagina, $texto); echo $texto;?></font></p>
			</div>
		<? }
	  }
	  ?>
    <td width="480">&nbsp;</td>
  </tr>
  <tr>
    <td height="21">&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
</table>
</body>
</html>