<?php
/*
This Captive Portal is designed by Jorge Hortelano Otero.
jorgehortelano@gmail.com
Copyright (C) 2006 Jorge Hortelano Otero.
C/Botanico 12, 1. Valencia CP:46008 (Spain).

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

function da_formato_XML($matriz, $filas, $inicio, $fin, $distancia, $busqueda, $precio, $num_pagina, $paginas){

	if ( stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml") ) {
	  header("Content-type: application/xhtml+xml");
	}
	else {
	  header("Content-type: text/html");
	}
	
	echo "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n\n";
	
	echo "<!-- File Name: busquedaresult.xml -->\n\n";
	
	echo "<!DOCTYPE BUSQUEDA SYSTEM \"include/toctocDTD.dtd\">\n";
	echo "<?xml-stylesheet type=\"text/xsl\" href=\"include/toctocXSL.xsl\"?>\n\n";
	echo "<?xml-stylesheet type=\"text/css\" href=\"include/".CSS."\"?>\n";
	
	
	
	echo "\n<SEARCH>\n";
	echo "<RESULTS>".$filas."</RESULTS>\n";
	echo "<LANGUAGE>".$_SESSION['s_idiomapagina']."</LANGUAGE>\n";
	for ($i=$inicio-1;$i<$fin;$i++){
		echo "\t<SERVICE>\n";
		$num=$i+1;
		echo "\t\t<NUM>".$num."</NUM>\n";
		echo "\t\t<NAME>".$matriz[$i]["nombre"]."</NAME>\n";
		echo "\t\t<ADRESS>".$matriz[$i]["direccion"]."</ADRESS>\n";
		echo "\t\t<PRICE>".$matriz[$i]["precio"]."</PRICE>\n";
		echo "\t\t<PHONE>".$matriz[$i]["telefono"]."</PHONE>\n";
		echo "\t\t<WEB>".$matriz[$i]["web"]."</WEB>\n";
		echo "\t\t<OTHER>".$matriz[$i]["comentario"]."</OTHER>\n";

		//Este atributo indica al XSL si tiene que poner el link hacia aparcamientos o no.
		echo "\t\t<PARKING>";
		if($matriz[$i]["servicio"]!="Aparcamiento"){
			echo "1";
		}else{
			echo "0";
		}
		echo "</PARKING>\n";
		
		//Este atributo contiene el link que permite la busqueda de un aparcamiento cercano.
		echo "\t\t<PARKING_SEARCH>"."busquedaresult.php?hay_busqueda=1&amp;X=".$matriz[$i]["X"]."&amp;Y=".$matriz[$i]["Y"]."&amp;busqueda=Aparcamiento&amp;distancia=".DIST_BUSQUEDA."&amp;precio=1000</PARKING_SEARCH>\n";
		
		//ViaMichelin
		echo "\t\t<MAP>";
		echo "http://www.ViaMichelin.com/b2b2c/esp/dyn/controller/dlPoiAccess?productId=50322&amp;name=TocToc&amp;Address=".$matriz[$i]["direccion"]."&amp;City=Valencia&amp;ZipCode=".$matriz[$i]["CP"]."&amp;CountryCode=ESP&amp;IconFileId=3";
		
		
		echo "</MAP>\n";
			
		echo "\t</SERVICE>\n\n";
	}
	
	$pag_siguiente=$num_pagina+1;
	$pag_anterior=$num_pagina-1;
	//Este atributo es el link para mostrar la siguiente pagina a mostrar.
	echo "\t<NEXT>";
	if($num_pagina==$paginas || $paginas == 0){
		echo "0";
	}else{
		echo "1";
	}
	echo "</NEXT>\n";
	echo "\t<NXT>"."busquedaresult.php?hay_busqueda=1&amp;X=".$matriz[$i]["X"]."&amp;Y=".$matriz[$i]["Y"]."&amp;busqueda=".$busqueda."&amp;distancia=".$distancia."&amp;precio=".$precio."&amp;num_pagina=".$pag_siguiente."</NXT>\n";
	
	
	//Codigo para mostrar el link de la pagina anterior si hace falta.
	echo "\t<ANTERIOR>";
	if($num_pagina==1){
		echo "0";
	}else{
		echo "1";
	}
	echo "</ANTERIOR>\n";
	echo "\t<ANT>"."busquedaresult.php?hay_busqueda=1&amp;X=".$matriz[$i]["X"]."&amp;Y=".$matriz[$i]["Y"]."&amp;busqueda=".$busqueda."&amp;distancia=".$distancia."&amp;precio=".$precio."&amp;num_pagina=".$pag_anterior."</ANT>\n";
	
	echo "\t<PAGES>".$num_pagina."</PAGES>\n";
	echo "\t<TOTAL_PAGES>".$paginas."</TOTAL_PAGES>\n";
		
	
	echo "</SEARCH>\n";

}

function abreXML($fichero, &$arr_vals, &$arr_index){
	$xml_parser = xml_parser_create();
	if (!$fp = fopen($fichero, "r")) {
		die("unable to open XML");
	}
	$contents = fread($fp, filesize($fichero));
	fclose($fp);
	xml_parse_into_struct($xml_parser, $contents, $arr_vals, $arr_index);
	xml_parser_free($xml_parser);
}

function obtieneCampoXML($arr_vals, $frase, $idioma, &$texto){
	//Buscamos el campo XML que queremos segun el campo "open" de las etiquetas que se obtienen.
	//En ese momento marcamos el nivel de profundidad que tiene la etiqueta. 
	$level_ultimo_open=-1;
	$encontrado=false;
	reset($arr_vals);
	$texto="";
	if ((!empty($arr_vals)) && (is_array($arr_vals))) {
		foreach ($arr_vals as $xml_key => $xml_value) {		
				switch ($xml_value['type']){
					case "open":
						if($xml_value[tag]==$frase){
							$level_ultimo_open=$xml_value[level];
							$encontrado=true;
						}
					break;
					
					case "complete":
						if(($xml_value[tag]==$idioma) && ($encontrado==true) && (($level_ultimo_open+1)==$xml_value[level])){		
							$texto = $xml_value[value];
						}
					break;
					
					case "close":
						$encontrado=false;
					break;
					
					default:
					break;
				}
		}
	}
	
}
?>