<?php 
/////////////////////////////////////////////////////////////////////////////////////
//
//		Muestra los datos de usuario y permite su modificaci�n.
//
/////////////////////////////////////////////////////////////////////////////////////

session_start();
include("include/proteccion.inc");
?>
<html>
<head>

<?php 
include("include/cabecera.inc");
include("include/colores.inc");
include("include/conexion.inc");
include("include/configuracion.inc");
include("include/funcionesBD.inc");
include("include/XML.inc");
include("include/comprueba_campos.inc");
include("include/scriptnavegacion.inc");

//Obtenemos los idiomas del formato XML
$fichero="idiomas/registrarse.xml";
abreXML($fichero,$arr_vals, $arr_index);

//Traducimos los servicios a los distintos idiomas.
$fichero2="idiomas/servicios.xml";
abreXML($fichero2,$arr_serv, $arr_index2);

//Traducimos los botones a distintos idiomas
$fichero3="idiomas/genericos.xml";
abreXML($fichero3,$arr_genericos, $arr_index3);

//Obtenemos todos los datos del usuario.
lee_sesion(&$nick, &$pwd, &$nombre, &$apellidos, &$pais, &$email, &$cityticket, &$idioma, &$otros_gustos, &$vel_internet, &$vel_subida, &$idiomapagina, &$fecha_stop, $admin);



?>
<title><?php echo TITULO ?></title>
<link href="include/<?php echo CSS ?>" rel="stylesheet" type="text/css">

<style type="text/css">
<!--
.Estilo_campos_obligatorios {color: <?php echo COLOR_CAMPOS_OBLIGATORIOS ?>}
-->
</style>
</head>

<body text="<?php echo COLOR_TEXTO ?>" link="<?php echo COLOR_LINK ?>" bgcolor="<?php echo COLOR_FONDO ?>" vlink="<?php echo COLOR_VLINK ?>" alink="<?php echo COLOR_ALINK ?>" background="<?php echo IMAGEN_FONDO?>"
style="background-repeat: no-repeat; background-attachment: fixed;">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <!--DWLayoutTable-->
  <tr>
    <td valign="top"><div align="center">
        <p><span class="titulo_1"><?php obtieneCampoXML($arr_vals, "PROFILE", $idiomapagina, $texto); echo $texto;?></span></p>
    </div></td>
  </tr>
   <table width="100%" >
   <td height="19" width="100%" valign="top" bgcolor="<?php echo COLOR_SECUNDARIO ?>"><!--DWLayoutEmptyCell-->&nbsp;</td>
  </table>
  <tr>
	<table>
    <td width="400" rowspan="2" valign="top">
	  <form name="usuario" method="post" action="actualiza_usuario.php?idiomapagina=<?php echo $idiomapagina ?>" onSubmit="return comprueba(document.usuario)">
	    <p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "USER", $idiomapagina, $texto); echo $texto;?></span>
	      <input type="text" name="nick" value="<?php echo $nick?>" maxlength="12" disabled> 
        </p>
        <p align="right">
         <span class="menu"><a href="javascript:ventana('contrasena.php?usuario=<?php echo $nick?>', 270, 270, 460, 180, 0, 'no');"><?php obtieneCampoXML($arr_vals, "CHANGE_PWD", $idiomapagina, $texto); echo $texto;?></a></span>
         </p>
	    <p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "NAME", $idiomapagina, $texto); echo $texto;?></span>
	      <input type="text" name="nombre" maxlength="20" value="<?php echo $nombre?>">
	    </p>
	    <p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "SURNAME", $idiomapagina, $texto); echo $texto;?></span>
	      <input type="text" name="apellidos" maxlength="20" value="<?php echo $apellidos?>">
	    </p>
	    <p align="right"><span class="Estilo_campos_obligatorios"><?php obtieneCampoXML($arr_vals, "EMAIL", $idiomapagina, $texto); echo $texto;?></span>
            <input type="text" name="email" maxlength="30" value="<?php echo $email?>">
        </p>
	    <p align="right"><?php obtieneCampoXML($arr_vals, "COUNTRY",$idiomapagina, $texto); echo $texto;?>
            <input type="text" name="pais" maxlength="20" value="<?php echo $pais?>">
        </p>
	   <p align="right"><?php obtieneCampoXML($arr_vals, "LANGUAGE",$idiomapagina, $texto); echo $texto;?> 
		<select name="idioma" size="1">
 		  <option value="Espaol">-----------------------------</option>
		  <?php //Imprimimos las opciones a elegir segun existan en la BD.
				$idioma_BD=selecciona_columna_tabla("idioma", "idiomas", $conexion, BD, &$filas); 
				
				for($i=0;$i<$filas;$i++) {?>
		    		<option value="<?php echo $idioma_BD[$i] ?>" <?php if ($idioma_BD[$i]==$idioma){?>selected<?php }?> ><?php echo $idioma_BD[$i] ?></option>
				<?php } ?>
			
		  </select>
  		</p>
	  		
		<input name="max_servicios" type="hidden" value="<?php echo $filas2; ?>">
		<br/>
		<div align="right">  
		  <span class="menu"><a href="javascript:ventana('cambiar_dispositivo.php?usuario=<?php echo $nick?>', 225, 300, 460, 180, 0, 'no');"><?php obtieneCampoXML($arr_vals, "CHANGE_DEVICE", $idiomapagina, $texto); echo $texto;?></a> </span><br/>
	    </div>
		<p align="center">
		<!-- Estos dos campos ocultos son para que no se queje el comprobador de pwd (en IE en modo quejica)-->
		  <input name="pwd" type="hidden" value="a">
  		  <input name="pwd2" type="hidden" value="a">
          <input type="Submit" name="Aceptar" value="<?php obtieneCampoXML($arr_genericos, "SEND", $idiomapagina, $texto); echo $texto;?>">
	&nbsp;
  	<input name="Cancelar" type="button" value="<?php obtieneCampoXML($arr_genericos, "CANCEL", $idiomapagina, $texto); echo $texto;?>" onClick="ira('<?php echo PAGINA_PRINCIPAL?>')"> 
	&nbsp;
  	<input type="button" name="borrar" value="<?php obtieneCampoXML($arr_genericos, "BORRAR_CUENTA", $idiomapagina, $texto); echo $texto;?>" onClick="ira('elimina_usuario.php')">
	</p>
	   
      </form></td>
    <td align="center" valign="bottom"><div align="center">
	  <?php if (isset($_SESSION['renovando_pwd'])) {?>
	  <font color="<?php echo TEXTO_ERROR ?>"><strong><?php obtieneCampoXML($arr_vals, "REMEMBER", $idiomapagina, $texto); echo $texto;?><br/></strong></font>
	  <? } ?>
	 
    </div></td>
    <td>&nbsp;</td>
    </table>
  </tr>
  <tr>
    <td height="638">&nbsp;</td>
    <td>&nbsp;</td>
    <td width="142">&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
</table>
<?
include("include/pie.inc");
?>
</body>
</html>
